Update to latest version of python-keyring (improves support for KWallet implementations) (#1873845). New version of python-SecretStorage is a required dependency, should be backwards-compatible.

How to install

sudo dnf upgrade --refresh --advisory=FEDORA-2020-06256bf669

This update has been submitted for testing by ctubbsii.

2 years ago

This update's test gating status has been changed to 'ignored'.

2 years ago

This update's test gating status has been changed to 'waiting'.

2 years ago

This update's test gating status has been changed to 'ignored'.

2 years ago

This update has been pushed to testing.

2 years ago
User Icon mattf commented & provided feedback 2 years ago
karma

A dnf error indicated that python3-keyring-21.5.0-1.fc33.noarch couldn't be updated because python3.9dist(secretstorage) >= 3.2 was unavailable.

Problem: cannot install the best update candidate for package python3-keyring-21.3.1-1.fc33.noarch - nothing provides python3.9dist(secretstorage) >= 3.2 needed by python3-keyring-21.5.0-1.fc33.noarch

I reported this error at https://bugzilla.redhat.com/show_bug.cgi?id=1896608

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

2 years ago
User Icon adamwill provided feedback 2 years ago
karma
BZ#1873845 python-keyring-21.5.0 is available

adamwill edited this update.

New build(s):

  • python-SecretStorage-3.2.0-1.fc33

Karma has been reset.

2 years ago

This update has been submitted for testing by adamwill.

2 years ago

This update has been pushed to testing.

2 years ago

This update can be pushed to stable now if the maintainer wishes

2 years ago
User Icon ctubbsii commented & provided feedback 2 years ago

I don't seem to have permission to push this update, even though it works now with the update to python-SecretStorage included.

User Icon pwalter commented & provided feedback 2 years ago
karma

Works

User Icon adamwill commented & provided feedback 2 years ago

@ctubbsii apparently you need permissions on all packages in an update to do stuff to it, so when I edited it to add the dependency, you could no longer manage it. I think we really need a rethink of the Bodhi permissions model, but it's hard to think about what the edges should be. Anyway, I'll push it for now.

This update has been submitted for stable by adamwill.

2 years ago

This update has been pushed to stable.

2 years ago

Please login to add feedback.

Metadata
Type
enhancement
Severity
low
Karma
1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
2 years ago
in testing
2 years ago
in stable
2 years ago
modified
2 years ago
BZ#1873845 python-keyring-21.5.0 is available
0
0

Automated Test Results